SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
-- [dbo].[GetUtterancesByIntentId] 'allegro', '45799dd8-17e7-49a1-9bd8-cb74f00a788c'
CREATE PROCEDURE [dbo].[GetUtterances]
(
	@VCC			VARCHAR(50),
	@AppId			VARCHAR(50),
	@IntentId		VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON

	-- BUSCAMOS LOS UTTERANCES SEGUN LOS PARAMETROS RECIBIDOS
	SELECT U.[VCC]								'vcc',
			U.[AppId]							'appId',
			U.[IntentId]						'intentId',
			I.[Name]							'intentName',
			U.[Id]								'id',
			U.[Text]							'text',
			U.[CreatedDate]						'createdDate',
			U.[CreatedByUserId]					'createdByUserId',
			U.[LastModifiedDate]				'lastModifiedDate',
			U.[LastModifiedByUserId]			'lastModifiedByUserId',
			U.[Status]                           'status',
			U.[StatusCode]                      'statusCode'
		FROM [dbo].[Utterance] U (NOLOCK)
		INNER JOIN [dbo].[Intent] I (NOLOCK) 
			ON I.[VCC] = U.[VCC]
				AND I.[AppId] = U.[AppId]
				AND I.[IntentId] = U.[IntentId]
		WHERE U.[VCC] = @VCC
			AND U.[AppId] = ISNULL(@AppId, U.[AppId])
			AND U.[IntentId] = ISNULL(@IntentId, U.[IntentId])

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
